Loading...
Searching...
No Matches
juce::AudioProcessorValueTreeState::ParameterLayout Class Referencefinal

## Detailed Description

A class to contain a set of RangedAudioParameters and AudioProcessorParameterGroups containing RangedAudioParameters.

This class is used in the AudioProcessorValueTreeState constructor to allow arbitrarily grouped RangedAudioParameters to be passed to an AudioProcessor.

The documentation for this class was generated from the following file:

- juce_audio_processors/utilities/juce_AudioProcessorValueTreeState.h

## Public Member Functions

template<typename... Items>
| ParameterLayout (std::unique_ptr< Items >... items)
template<typename It, typename = ValidIfIterator<It>>
| ParameterLayout (It begin, It end)
template<typename... Items>
void | add (std::unique_ptr< Items >... items)
template<typename It, typename = ValidIfIterator<It>>
void | add (It begin, It end)
| ParameterLayout (const ParameterLayout &other)=delete
| ParameterLayout (ParameterLayout &&other) noexcept
ParameterLayout & | operator= (const ParameterLayout &other)=delete
ParameterLayout & | operator= (ParameterLayout &&other) noexcept
void | swap (ParameterLayout &other) noexcept

## Constructors and Destructors

## ParameterLayout() [1/4]

template<typename... Items>

juce::AudioProcessorValueTreeState::ParameterLayout::ParameterLayout | ( | std::unique_ptr< Items >... | items | ) |

inline

References add().

Referenced by operator=(), operator=(), ParameterLayout(), ParameterLayout(), and swap().

## ParameterLayout() [2/4]

template<typename It, typename = ValidIfIterator<It>>

juce::AudioProcessorValueTreeState::ParameterLayout::ParameterLayout | ( | It | begin,
|  | It | end )

inline

References add(), juce::begin(), and juce::end().

## ParameterLayout() [3/4]

juce::AudioProcessorValueTreeState::ParameterLayout::ParameterLayout | ( | const ParameterLayout & | other | ) |

delete

References ParameterLayout().

## ParameterLayout() [4/4]

juce::AudioProcessorValueTreeState::ParameterLayout::ParameterLayout | ( | ParameterLayout && | other | ) |

inline noexcept

References ParameterLayout(), and swap().

## Member Functions

## add() [1/2]

template<typename... Items>

void juce::AudioProcessorValueTreeState::ParameterLayout::add | ( | std::unique_ptr< Items >... | items | ) |

inline

Referenced by ParameterLayout(), and ParameterLayout().

## add() [2/2]

template<typename It, typename = ValidIfIterator<It>>

void juce::AudioProcessorValueTreeState::ParameterLayout::add | ( | It | begin,
|  | It | end )

inline

References juce::begin(), and juce::end().

## operator=() [1/2]

ParameterLayout & juce::AudioProcessorValueTreeState::ParameterLayout::operator= | ( | const ParameterLayout & | other | ) |

delete

References ParameterLayout().

## operator=() [2/2]

ParameterLayout & juce::AudioProcessorValueTreeState::ParameterLayout::operator= | ( | ParameterLayout && | other | ) |

inline noexcept

References ParameterLayout(), and swap().

## swap()

void juce::AudioProcessorValueTreeState::ParameterLayout::swap | ( | ParameterLayout & | other | ) |

inline noexcept

References ParameterLayout().

Referenced by operator=(), and ParameterLayout().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited